/**
 * Незалогиновая ручка для проверки можно ли завести новую организацию
 */

const logger = require('../lib/logger');
const template = require('../lib/template');
const responseContext = require('../lib/responseContext');

const code = '';

// TODO: Проверить позже и если этой ручкой никто не пользуется то оторвать её
module.exports = function(req, res) {
    const { config } = req;
    const host = responseContext.getHost(req);

    const query = (req.originalUrl.match(/\?.*$/) || [])[0] || '';

    logger.info('CheckRegistrationLimit', req);

    res.status(200).send({
        code,
        link: template.build(config.org.registration.default, {
            host,
            query,
        }),
        allow: true,
    });
};
